CMSIS-Core (Cortex-A): DACR Dn field values

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
DACR Dn field values
Domain Access Control Register (DACR)

Valid values for DACR Dn field. More...

## Macros

#define | DACR_Dn_NOACCESS 0U
| DACR Dn field: No access. More...
#define | DACR_Dn_CLIENT 1U
| DACR Dn field: Client. More...
#define | DACR_Dn_MANAGER 3U
| DACR Dn field: Manager. More...

## Description

The Dn field can contain one of these values which indicates the domain n access permission.

## Macro Definition Documentation

#define DACR_Dn_CLIENT 1U

Accesses are checked against the permission bits in the translation tables.

#define DACR_Dn_MANAGER 3U

Accesses are not checked against the permission bits in the translation tables.

#define DACR_Dn_NOACCESS 0U

Any access to the domain generates a Domain fault.